--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

with Interfaces.C;                      use Interfaces.C;

package body Allegro.Sound is

    function Install_Sound( digi, midi : Integer; cfg_path : String ) return Boolean is

        function C_Install_Sound( digi,
                                  midi     : Integer;
                                  cfg_path : C.char_array ) return Integer;
        pragma Import( C, C_Install_Sound, "install_sound" );

    begin
        return C_Install_Sound( digi, midi, To_C( cfg_path ) ) = 0;
    end Install_Sound;

end Allegro.Sound;
