--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

package body Allegro.Sprites.RLE is

    procedure Destroy_RLE_Sprite( sprite : in out A_RLE_Sprite ) is

        procedure C_Destroy_RLE_Sprite( sprite : in out A_RLE_Sprite );
        pragma Import( C, C_Destroy_RLE_Sprite, "destroy_rle_sprite" );

    begin
        if sprite /= null then
            C_Destroy_RLE_Sprite( sprite );
            sprite := null;
        end if;
    end Destroy_RLE_Sprite;

end Allegro.Sprites.RLE;
