--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

pragma Warnings( Off );

-- Reference your application packages here
with Actors.Keen;
with Actors.Keen4;
with Applications.Gui.Games.Keen;
with Archives.Zip_Archives;
with Content_Signing;
with Entities.Enemies.Keen4;
with Entities.Items.Keen4;
with Entities.Players.Keen;
with Entities.Players.Little_Keen;
with Entities.Poles;
with Entities.Sprites.Keen4;
with Entities.Triggers.Keen;
with Game_Views.Keen;
with Games.Keen;
with Maps.Keen;
with Themes.Keen;
with Tiles.Keen;
with Worlds.Keen;

pragma Warnings( On );

pragma Elaborate_All( Content_Signing );

package body Project is

    -- This should remain empty

begin

    Content_Signing.Allow_Unsigned_Content( True );

end Project;
