--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

with Allegro_Ids;
pragma Warnings( Off, Allegro_Ids );

pragma Elaborate_All( Allegro_Ids );

package Allegro.Graphics.OSX is

    GFX_QUARTZ_WINDOW     : constant Gfx_Detect_Type;
    GFX_QUARTZ_FULLSCREEN : constant Gfx_Detect_Type;

private

    GFX_QUARTZ_WINDOW     : constant Gfx_Detect_Type := To_AL_ID('Q','Z','W','N');
    GFX_QUARTZ_FULLSCREEN : constant Gfx_Detect_Type := To_AL_ID('Q','Z','F','L');

end Allegro.Graphics.OSX;
